
Redmine - Defect #26843

Commits ignored in large(ish) git repository

2017-09-05 15:06 - Jean-Michel C.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.4.2

Description

Hi there,

I am investigating a long overdue issue in my setup and at the moment, I think it is a defect in Redmine.

I do have a fairly large repo (though not huge) with 1,500 commits.

About a year ago, the processing commit messages stopped working and new commits stopped appearing in my Redmine (the code

is up to date though).

When issuing git log --all --pretty=format:"%cd %cn %s" in the repository (the bare used by Redmine) I do have all the last commits,

but they are missing in Redmine.

The repo has 1587 commits, but only 1276 (give or take 1) are known to Redmine.

Environment

Environment:

  Redmine version                3.4.2.stable

  Ruby version                   2.3.4-p301 (2017-03-30) [x86_64-linux-gnu]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Filesystem                     

Redmine plugins:

  redmine_github_hook            2.2.0

 Note: This is not new to 3.4.2, I upgraded today to make sure, but I was on 3.2.6 before that and it was the same.

History

#1 - 2017-09-05 15:32 - Jean-Michel C.

It is to note that the output of git log --no-color --encoding=UTF-8 --raw --date=iso --pretty=fuller --parents --no-renames --reverse (as guessed from

git_adapter.rb) is consistent with the issue -it does not contain all commits).

#2 - 2017-09-05 15:36 - Jean-Michel C.

I cannot guess everything that git_adapter.rb does, but it seems that adding --all to git log would fix the issue (it does in the command line at least)

#3 - 2017-09-05 16:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try #23262#note-11.

#4 - 2017-09-05 16:38 - Jean-Michel C.

Hi Toshi,

The rails command did not work but I nulled the field in the DB and it did the trick, thank you very much!

#5 - 2017-09-05 17:07 - Toshi MARUYAMA
https://www.redmine.org/issues/23262#note-11


- Status changed from Needs feedback to Closed

Sorry, I did not note you need to change 18 of "Repsotiry.find(18).clear_extra_info_of_changesets" to your repository id.

Anyway, thank you for your feedback.
